<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmListFile2 Structure
See Also Members

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmListFile2 Structure

Visual Basic
C#
C++/CLI
Holds information about a file returned by the IEdmBatchListing4::GetFiles2 method.

# Syntax

Visual Basic |
--- | ---

    Public Structure EdmListFile2
       Inherits System.ValueType

C# |
--- | ---

    public struct EdmListFile2 : System.ValueType

C++/CLI |
--- | ---

    public value class EdmListFile2 : public System.ValueType

# Example

struct EdmListFile

{
short mbHasLockRights;
short mbLocalOverwrittenVersionObsolete;
string mbsLockComputer;
string mbsLockPath;
string mbsLockUser;
string mbsLockViewID;
string mbsRevisionName;
integer mlFileID;
integer mlFolderID;
integer mlLatestVersion;
integer mlLocalVersion;
integer mlLockProjectID;
integer mlParam;
object moColumnData;
struct EdmWorkflowInfo moCurrentState;
};

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This struct is an extended version of the EdmListFile struct, which is returned by the IEdmBatchListing::GetFiles method.

# See Also

####

EdmListFile2 Members
EPDM.Interop.epdm Namespace

# Availability

SOLIDWORKS PDM Professional 2017